﻿﻿@model OwnerSite.ViewModels.OwnersInfoView
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}
@section FOOTERJS{
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Owner Home Page
}
<script src="https://cloud.tinymce.com/5/tinymce.min.js?apiKey=xtfy77gd8og6vfbyu01pc625hrebtc3rvp9vsvqfr0m0ogn6"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.9.4/Chart.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0"></script>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title></title>
    <style>
        .vl {
            border-left: 6px solid green;
            height: 500px;
        }
        /*.container1 {
            display: flex;
            background: red;
            flex-wrap: wrap;
            width: 100%;
            flex-direction: column;
        }
        .item {
            flex-direction: row;
            flex-basis: 100%;
            flex: 1;
        }*/
        .parent {
            /*background: #888;
            padding: 20px;
            color: #ffffff;
            font-family: Arial;
            font-size: 45px;*/
        }

        .column {
            padding: 10px;
        }

        .main {
            background: #3054be;
        }

        .sidebar2 {
            background: #ee7000;
        }


        /*@@media only screen and (min-width: 1025px){
        .main {
            flex: 1;
        }
        .sidebar {
            flex: 1;
        }
        }*/
    </style>
</head>
<body style="width: 100%">
    <br />
    <br />

    <div align="center" style="margin-top: 0px;">
        <div class="d-flex w-100">
            <div class="justify-content-start">
                <h2 style="color:royalblue;text-align:left;">Welcome Owner <span>@Model.OwnerInfo.Name</span></h2>
                <h3 style="color:cadetblue;text-align:left">Heritage Hotel Owners' Management System</h3>
                @*<h6 style="color:cadetblue;text-align:left">(Beta Version)</h6>*@
            </div>
            <div class="d-flex justify-content-end">

            </div>
        </div>


        @*<img src="http://172.20.20.216:80/Content/images/Combined-Logo2.png" />*@
        @*box-shadow: 0px 0px 5px 0px #adadad;*@
        <div class="container" style="background: white; padding: 30px;border:1px solid #ccc;margin-top: 50px;">
            <div class="row">
                <div class="item col-md-6 col-sm-12 mb-3">
                    <div class="card2">
                        <h3>Advertisement</h3>
                        <a href="http://bwpheritagehotel.com/" target="_blank"><img src="~/Content/Advertisement1Paint.png" alt="advertisement" width="100%" height="100%" /></a>
                    </div>
                </div>
                @*<div class="vl"></div>*@
                <div class="item col-md-6 col-sm-12 mb-3">
                    <div class="card2">
                        <h3 style="margin-bottom:10px">All Notices for Owners</h3>
                        <ul class="nav nav-tabs" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active btn" href="#reports" role="tab" data-toggle="tab">Reports</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link  btn " href="#notices" role="tab" data-toggle="tab">Notices</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link  btn " href="#auditreports" role="tab" data-toggle="tab">Audit Reports</a>
                            </li>
                        </ul>

                        <!-- Tab panes -->
                         
                        <div class="tab-content">
                            <div role="tabpanel" class="tab-pane in active" id="reports">
                                @*<div class="form-group row mb-3">*@
                                <div class="table-responsive">
                                    <table class="table table-hover table-light mb-0" id="mainTable" data-pagination="true">
                                        <thead style="background-color: #315152; color: white">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Day</th>
                                                <th scope="col">PDF</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{
                                                var SLno = 1;
                                            }
                                            @foreach (var md in Model.AllNotices)
                                            {
                                                if (md.NoticeType == "Report")
                                                {
                                                    <tr>
                                                        <th scope="row">@SLno</th>
                                                        <td>@md.Date.ToString("dd-MMM-yyyy") </td>
                                                        <td>@md.Day</td>
                                                        <td>
                                                            @{
                                                                var time = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                                SLno++;
                                                            }
                                                            
                                                            <a id="TIN-file-link" href="@Url.Content("~/content/notices/" +@md.PDFFilePath + time)" target="_blank">@md.FileDisplayName.ToString()</a>


                                                        </td>
                                                    </tr>
                                                }
                                            }
                                        </tbody>
                                    </table>
                                </div>
                                @*</div>*@

                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="notices">
                                <div class="table-responsive">
                                    <table class="table table-hover table-light mb-0" id="mainTable2" data-pagination="true">
                                        <thead style="background-color: #315152; color: white">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Day</th>
                                                <th scope="col">PDF</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{
                                                var SLno2 = 1;
                                            }
                                            @foreach (var md in Model.AllNotices)
                                            {
                                                if (md.NoticeType == "Notice")
                                                {
                                                    <tr>
                                                        <th scope="row">@SLno2</th>
                                                        <td>@md.Date.ToString("dd-MMM-yyyy") </td>
                                                        <td>@md.Day</td>
                                                        <td>
                                                            @{
                                                                var time2 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                                SLno2++;
                                                            }
                                                            @if (md.NoticeType == "Notice")
                                                            {
                                                                @*<a id="TIN-file-link" href="@Href(@md.PDFFilePath + time3)" target="_blank">@md.PDFFilePath.Split('/').Last().ToString()</a>*@
                                                                @*<a id="TIN-file-link" href="@Href(@md.PDFFilePath + time2)" target="_blank">@md.PDFFilePath.Split('\\').Last().ToString()</a>*@
                                                                <a id="TIN-file-link" href="@Url.Content("~/content/notices/" +@md.PDFFilePath + time2)" target="_blank">@md.FileDisplayName.ToString()</a>
                                                            }
                                                        </td>
                                                    </tr>
                                                }
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                            <div role="tabpanel" class="tab-pane fade" id="auditreports">
                                <div class="table-responsive">
                                    <table class="table table-hover table-light mb-0" id="mainTable3" data-pagination="true">
                                        <thead style="background-color: #315152; color: white">
                                            <tr>
                                                <th scope="col">#</th>
                                                <th scope="col">Date</th>
                                                <th scope="col">Day</th>
                                                <th scope="col">PDF</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @{
                                                var SLno3 = 1;
                                            }
                                            @foreach (var md in Model.AllNotices)
                                            {
                                                if (md.NoticeType == "Audit Report")
                                                {
                                                    <tr>
                                                        <th scope="row">@SLno3</th>
                                                        <td>@md.Date.ToString("dd-MMM-yyyy") </td>
                                                        <td>@md.Day</td>
                                                        <td>
                                                            @{
                                                                var time3 = "?" + DateTime.Now.ToString("h:mm:ss tt");
                                                                SLno3++;
                                                            }
                                                            @if (md.NoticeType == "Audit Report")
                                                            {
                                                                @*<a id="TIN-file-link" href="@Href(@md.PDFFilePath + time3)" target="_blank">@md.PDFFilePath.Split('/').Last().ToString()</a>*@
                                                                @*<a id="TIN-file-link" href="@Href(@md.PDFFilePath + time3)" target="_blank">@md.PDFFilePath.Split('\\').Last().ToString()</a>*@
                                                                <a id="TIN-file-link" href="@Url.Content("~/content/notices/" +@md.PDFFilePath + time3)" target="_blank">@md.FileDisplayName.ToString()</a>
                                                            }
                                                        </td>
                                                    </tr>
                                                }
                                            }
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div></div>
                </div>
            </div>
        </div>
    </div>

    <script src="~/Content/vendors/js/jquery.min.js"></script>
    <script src="~/Content/vendors/js/popper.min.js"></script>
    <script src="~/Content/vendors/js/bootstrap.min.js"></script>
    <script src="~/Content/vendors/js/pace.min.js"></script>
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/perfect-scrollbar.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>

</body>
</html>